Bug 1568084 - Default Container Image Rate can be deleted
Summary: Default Container Image Rate can be deleted
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Hilda Stastna
QA Contact: Yadnyawalk Tale
URL:
Whiteboard: ui:chargeback:flash_msg
Keywords: ZStream
Depends On: 1486658
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 18:08 UTC by Satoe Imaishi
Modified: 2018-06-25 14:20 UTC (History)
9 users (show)

(edit)
Clone Of: 1486658
(edit)
Last Closed: 2018-06-25 14:20:05 UTC


Attachments (Terms of Use)
fixed_proof.png (77.69 KB, image/png)
2018-05-02 07:30 UTC, Yadnyawalk Tale
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:20 UTC

Comment 2 CFME Bot 2018-04-16 21:36:55 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/d3cb71cead6dc896e9df788427d8787f7bb0b31e
commit d3cb71cead6dc896e9df788427d8787f7bb0b31e
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Jan 24 09:03:33 2018 -0500
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Jan 24 09:03:33 2018 -0500

    Merge pull request #16792 from hstastna/Default_Container_Image_Rate_delete_description

    Add condition to fix deletion of Default Container Image Rate
    (cherry picked from commit 164cd082924e89a20acd810cdb9b3f383a2f01a9)

    https://bugzilla.redhat.com/show_bug.cgi?id=1568084

 app/models/chargeback_rate.rb | 2 +-
 spec/models/chargeback_rate_spec.rb | 8 +
 2 files changed, 9 insertions(+), 1 deletion(-)

Comment 3 CFME Bot 2018-04-18 18:08:45 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/26cd4f7da686ca9ad212c4e66bca8b7902c20641
commit 26cd4f7da686ca9ad212c4e66bca8b7902c20641
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Feb  9 11:17:10 2018 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Feb  9 11:17:10 2018 -0500

    Merge pull request #3215 from hstastna/Default_Container_Image_Rate_delete

    Fix deletion of Default Container Image Rate
    (cherry picked from commit 8806d612ebba610d3319575fd42f4866fcb37808)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1568084

 app/controllers/chargeback_controller.rb | 23 +-
 spec/controllers/chargeback_controller_spec.rb | 53 +
 2 files changed, 63 insertions(+), 13 deletions(-)

Comment 5 Yadnyawalk Tale 2018-05-02 07:30 UTC
Created attachment 1429738 [details]
fixed_proof.png

On Tasos's query (refer attached image) - 
Since custom chargeback report 'rate_gce1' was already there in table, we are not getting 'Remove selected Chargeback Rates from the VMDB' disable in toolbar which is clearly expected from my end.

Fixed! Getting expected error while deleting default chargeback.
"Chargeback Rate "default_chargeback_name": Error during delete: default rate cannot be deleted"

Verified on - 5.8.4.2.20180424224202_be9b69f

Comment 7 errata-xmlrpc 2018-06-25 14:20:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.